Skip to main content

build runtime filter. 🔐

POST 

/v3/filter/runtime

returns a list of receivers, filtered by an on-the-fly filter

Example Post Data:
{
   "groups": [1,2,3],
   "operator": "AND",
   "rules": [
      {
         "field":"email",
         "logic":"contains",
         "condition":"@"
      }
   ],
   "orderby": "activated desc",
   "pagesize": 250,
   "page": 0
}


Possible Operators
  1. OR
  2. AND (default)

Available Logics:
  1. eq - equals
  2. neq - not equals
  3. sm - smaller
  4. bg - bigger
  5. isnull - is empty
  6. notisnull - not empty
  7. contains - contains given string
  8. begins - begins with
  9. ends - ends with
  10. ismale - given field is male
  11. isfemale - given field is female

general available fields:
  1. email - (email of the receiver)
  2. source - (import source of the email)
  3. imported - (timestamp of receiver import)
  4. registered - (timestamp of receiver registration)
  5. activated - (timestamp of receiver activation)
  6. deactivated - (timestamp of receiver deactivation)
  7. bounced - (timestamp of receiver bounce)
  8. points - (points of the receiver)
  9. last_location - (last location of receiver)
  10. last_client - (last mail client used by receiver)
  11. crevent_mail_send (logic: eq, condition: mailing_id -> receiver of certain mailing)
  12. crevent_mail_open (logic: eq, condition: mailing_id -> opened mail of certain mailing)
  13. crevent_mail_click (logic: eq, condition: mailing_id -> clicked on mail of certain mailing)
  14. crevent_mail_bounce (logic: eq, condition: mailing_id -> bounced mail of certain mailing)
  15. all attributes (if global and group attributes have the same name, group ones will be favoured)

Request​

Responses​

Success